// get_all.php
<?php
header('Content-Type: application/json');
require_once '../../config.php';

try {
    $stmt = $conn->prepare("
        SELECT w.*, 
        (SELECT SUM(hours_worked * daily_wage) 
         FROM worker_daily_records 
         WHERE worker_id = w.id AND status = 'pending') as dues 
        FROM workers w
    ");
    $stmt->execute();
    $workers = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    echo json_encode($workers);
} catch(PDOException $e) {
    http_response_code(500);
    echo json_encode(['error' => $e->getMessage()]);
}
?>

// add.php
<?php
header('Content-Type: application/json');
require_once '../../config.php';

$data = json_decode(file_get_contents('php://input'), true);

try {
    $stmt = $conn->prepare("
        INSERT INTO workers (worker_code, full_name, phone, daily_wage, status)
        VALUES (:worker_code, :full_name, :phone, :daily_wage, :status)
    ");
    
    $stmt->execute([
        ':worker_code' => $data['worker_code'],
        ':full_name' => $data['full_name'],
        ':phone' => $data['phone'],
        ':daily_wage' => $data['daily_wage'],
        ':status' => $data['status']
    ]);
    
    echo json_encode(['success' => true, 'id' => $conn->lastInsertId()]);
} catch(PDOException $e) {
    http_response_code(500);
    echo json_encode(['error' => $e->getMessage()]);
}
?>

// add_daily_record.php
<?php
header('Content-Type: application/json');
require_once '../../config.php';

$data = json_decode(file_get_contents('php://input'), true);

try {
    $stmt = $conn->prepare("
        INSERT INTO worker_daily_records 
        (worker_id, project_id, work_date, hours_worked, daily_wage, status)
        SELECT :worker_id, :project_id, :work_date, :hours_worked, daily_wage, 'pending'
        FROM workers
        WHERE id = :worker_id
    ");
    
    $stmt->execute([
        ':worker_id' => $data['worker_id'],
        ':project_id' => $data['project_id'],
        ':work_date' => $data['work_date'],
        ':hours_worked' => $data['hours_worked']
    ]);
    
    echo json_encode(['success' => true]);
} catch(PDOException $e) {
    http_response_code(500);
    echo json_encode(['error' => $e->getMessage()]);
}
?>