document.addEventListener('DOMContentLoaded', function() {
  // تحديث الإحصائيات
  updateStats();

  // تحديث كل 5 دقائق
  setInterval(updateStats, 300000);
});

function updateStats() {
  fetch('api/get_stats.php')
    .then(response => response.json())
    .then(data => {
      document.getElementById('active-projects').textContent = data.activeProjects;
      document.getElementById('total-workers').textContent = data.totalWorkers;
      document.getElementById('monthly-expenses').textContent = data.monthlyExpenses;
      document.getElementById('monthly-revenues').textContent = data.monthlyRevenues;
    })
    .catch(error => console.error('Error:', error));
}

// التحقق من الإشعارات
function checkNotifications() {
  fetch('api/get_notifications.php')
    .then(response => response.json())
    .then(data => {
      if (data.notifications.length > 0) {
        showNotifications(data.notifications);
      }
    });
}

// عرض الإشعارات
function showNotifications(notifications) {
  notifications.forEach(notification => {
    // إنشاء عنصر الإشعار
    const notificationElement = document.createElement('div');
    notificationElement.className = 'notification';
    notificationElement.textContent = notification.message;

    // إضافة الإشعار للصفحة
    document.querySelector('.notifications-container').appendChild(notificationElement);

    // إزالة الإشعار بعد 5 ثواني
    setTimeout(() => {
      notificationElement.remove();
    }, 5000);
  });
}