<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لوحة التحكم - نظام المقاولات</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="dashboard-container">
        <aside class="sidebar">
            <div class="logo">
                <h2>نظام المقاولات</h2>
            </div>
            <nav class="nav-menu">
                <ul>
                    <li><a href="dashboard.php">الرئيسية</a></li>
                    <li><a href="projects.php">المشاريع</a></li>
                    <li><a href="workers.php">العمال</a></li>
                    <li><a href="expenses.php">المصروفات</a></li>
                    <li><a href="revenues.php">الإيرادات</a></li>
                    <li><a href="reports.php">التقارير</a></li>
                    <?php if ($_SESSION['role'] == 'admin'): ?>
                    <li><a href="users.php">إدارة المستخدمين</a></li>
                    <li><a href="settings.php">الإعدادات</a></li>
                    <?php endif; ?>
                    <li><a href="logout.php">تسجيل الخروج</a></li>
                </ul>
            </nav>
        </aside>
        
        <main class="main-content">
            <div class="header">
                <h1>لوحة التحكم</h1>
            </div>
            
            <div class="stats-container">
                <!-- إحصائيات سريعة -->
                <div class="stat-card">
                    <h3>المشاريع النشطة</h3>
                    <p id="active-projects">0</p>
                </div>
                <div class="stat-card">
                    <h3>إجمالي العمال</h3>
                    <p id="total-workers">0</p>
                </div>
                <div class="stat-card">
                    <h3>المصروفات الشهرية</h3>
                    <p id="monthly-expenses">0</p>
                </div>
                <div class="stat-card">
                    <h3>الإيرادات الشهرية</h3>
                    <p id="monthly-revenues">0</p>
                </div>
            </div>
        </main>
    </div>
    
    <script src="js/dashboard.js"></script>
</body>
</html>