<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>الإشعارات - نظام المقاولات</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/notifications.css">
</head>
<body>
    <div class="dashboard-container">
        <?php include 'includes/sidebar.php'; ?>
        
        <main class="main-content">
            <div class="header">
                <h1>الإشعارات</h1>
                <div class="header-actions">
                    <button id="markAllRead" class="btn">تعليم الكل كمقروء</button>
                    <button id="notificationSettings" class="btn">إعدادات الإشعارات</button>
                </div>
            </div>

            <!-- تصفية الإشعارات -->
            <div class="notifications-filters">
                <div class="filter-group">
                    <label>تصفية حسب:</label>
                    <select id="typeFilter">
                        <option value="">الكل</option>
                        <option value="project">المشاريع</option>
                        <option value="financial">المالية</option>
                        <option value="worker">العمال</option>
                        <option value="system">النظام</option>
                    </select>
                </div>
                <div class="filter-group">
                    <label>الحالة:</label>
                    <select id="statusFilter">
                        <option value="">الكل</option>
                        <option value="unread">غير مقروء</option>
                        <option value="read">مقروء</option>
                    </select>
                </div>
            </div>

            <!-- قائمة الإشعارات -->
            <div class="notifications-list" id="notificationsList">
                <!-- سيتم تعبئة الإشعارات ديناميكياً -->
            </div>

            <!-- زر تحميل المزيد -->
            <div class="load-more">
                <button id="loadMore" class="btn">تحميل المزيد</button>
            </div>
        </main>
    </div>

    <!-- نموذج إعدادات الإشعارات -->
    <div id="settingsModal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2>إعدادات الإشعارات</h2>
            <form id="notificationSettingsForm">
                <div class="settings-section">
                    <h3>إشعارات المشاريع</h3>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="project_updates" checked>
                            تحديثات المشاريع
                        </label>
                    </div>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="project_completion" checked>
                            اكتمال المشاريع
                        </label>
                    </div>
                </div>

                <div class="settings-section">
                    <h3>إشعارات مالية</h3>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="payment_received" checked>
                            استلام المدفوعات
                        </label>
                    </div>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="payment_due" checked>
                            المدفوعات المستحقة
                        </label>
                    </div>
                </div>

                <div class="settings-section">
                    <h3>إشعارات العمال</h3>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="worker_attendance" checked>
                            حضور العمال
                        </label>
                    </div>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="worker_payment" checked>
                            مدفوعات العمال
                        </label>
                    </div>
                </div>

                <div class="settings-section">
                    <h3>طريقة الإشعار</h3>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="web_notifications" checked>
                            إشعارات الموقع
                        </label>
                    </div>
                    <div class="setting-item">
                        <label>
                            <input type="checkbox" name="email_notifications" checked>
                            البريد الإلكتروني
                        </label>
                    </div>
                </div>

                <button type="submit" class="btn primary-btn">حفظ الإعدادات</button>
            </form>
        </div>
    </div>

    <script src="js/notifications.js"></script>
</body>
</html>