<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>إدارة المشاريع - نظام المقاولات</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/projects.css">
</head>
<body>
    <div class="dashboard-container">
        <?php include 'includes/sidebar.php'; ?>
        
        <main class="main-content">
            <div class="header">
                <h1>إدارة المشاريع</h1>
                <button class="add-btn" onclick="showAddProjectModal()">إضافة مشروع جديد</button>
            </div>

            <div class="projects-container">
                <div class="filters">
                    <select id="statusFilter">
                        <option value="">جميع الحالات</option>
                        <option value="active">نشط</option>
                        <option value="completed">مكتمل</option>
                        <option value="on_hold">متوقف</option>
                    </select>
                    <input type="text" id="searchProject" placeholder="بحث عن مشروع...">
                </div>

                <div class="projects-grid" id="projectsGrid">
                    <!-- سيتم تعبئة المشاريع هنا عبر JavaScript -->
                </div>
            </div>
        </main>
    </div>

    <!-- نافذة إضافة مشروع جديد -->
    <div id="addProjectModal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2>إضافة مشروع جديد</h2>
            <form id="addProjectForm">
                <div class="form-group">
                    <label for="projectName">اسم المشروع</label>
                    <input type="text" id="projectName" name="projectName" required>
                </div>
                <div class="form-group">
                    <label for="startDate">تاريخ البداية</label>
                    <input type="date" id="startDate" name="startDate" required>
                </div>
                <div class="form-group">
                    <label for="expectedEndDate">تاريخ النهاية المتوقع</label>
                    <input type="date" id="expectedEndDate" name="expectedEndDate">
                </div>
                <div class="form-group">
                    <label for="projectStatus">حالة المشروع</label>
                    <select id="projectStatus" name="projectStatus">
                        <option value="active">نشط</option>
                        <option value="on_hold">متوقف</option>
                    </select>
                </div>
                <button type="submit">إضافة المشروع</button>
            </form>
        </div>
    </div>

    <script src="js/projects.js"></script>
</body>
</html>