<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>إدارة العمال - نظام المقاولات</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/workers.css">
</head>
<body>
    <div class="dashboard-container">
        <?php include 'includes/sidebar.php'; ?>
        
        <main class="main-content">
            <div class="header">
                <h1>إدارة العمال</h1>
                <button class="add-btn" onclick="showAddWorkerModal()">إضافة عامل جديد</button>
            </div>

            <!-- قسم البحث والفلترة -->
            <div class="search-section">
                <input type="text" id="searchWorker" placeholder="بحث باسم العامل أو الكود...">
                <select id="statusFilter">
                    <option value="">جميع الحالات</option>
                    <option value="active">نشط</option>
                    <option value="inactive">غير نشط</option>
                </select>
            </div>

            <!-- جدول العمال -->
            <div class="table-container">
                <table id="workersTable">
                    <thead>
                        <tr>
                            <th>كود العامل</th>
                            <th>الاسم</th>
                            <th>رقم الجوال</th>
                            <th>الأجر اليومي</th>
                            <th>الحالة</th>
                            <th>المستحقات</th>
                            <th>الإجراءات</th>
                        </tr>
                    </thead>
                    <tbody id="workersTableBody">
                        <!-- سيتم تعبئة البيانات عبر JavaScript -->
                    </tbody>
                </table>
            </div>
        </main>
    </div>

    <!-- نموذج إضافة عامل جديد -->
    <div id="addWorkerModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal('addWorkerModal')">&times;</span>
            <h2>إضافة عامل جديد</h2>
            <form id="addWorkerForm">
                <div class="form-group">
                    <label for="workerCode">كود العامل</label>
                    <input type="text" id="workerCode" name="workerCode" required>
                </div>
                <div class="form-group">
                    <label for="fullName">الاسم الكامل</label>
                    <input type="text" id="fullName" name="fullName" required>
                </div>
                <div class="form-group">
                    <label for="phone">رقم الجوال</label>
                    <input type="tel" id="phone" name="phone" pattern="[0-9]{10}">
                </div>
                <div class="form-group">
                    <label for="dailyWage">الأجر اليومي</label>
                    <input type="number" id="dailyWage" name="dailyWage" min="0" step="0.01" required>
                </div>
                <button type="submit">إضافة العامل</button>
            </form>
        </div>
    </div>

    <!-- نموذج تسجيل الدوام اليومي -->
    <div id="dailyRecordModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal('dailyRecordModal')">&times;</span>
            <h2>تسجيل دوام يومي</h2>
            <form id="dailyRecordForm">
                <input type="hidden" id="workerId" name="workerId">
                <div class="form-group">
                    <label for="workDate">تاريخ العمل</label>
                    <input type="date" id="workDate" name="workDate" required>
                </div>
                <div class="form-group">
                    <label for="projectId">المشروع</label>
                    <select id="projectId" name="projectId" required>
                        <!-- سيتم تعبئة المشاريع عبر JavaScript -->
                    </select>
                </div>
                <div class="form-group">
                    <label for="hoursWorked">ساعات العمل</label>
                    <input type="number" id="hoursWorked" name="hoursWorked" min="0" max="24" step="0.5" required>
                </div>
                <button type="submit">تسجيل الدوام</button>
            </form>
        </div>
    </div>

    <script src="js/workers.js"></script>
</body>
</html>